net.sf.statsvn.util

## Interface TaskLogger

- All Known Implementing Classes:
    AntTaskLogger, ConsoleTaskLogger, JavaUtilTaskLogger, SilentLogger

      public interface TaskLogger

  An Interface for the Logging mechanism.
  Author:
    Benoit Xhenseval

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `error(java.lang.String arg)` Generic interface for logging error.
    `void` | `info(java.lang.String arg)` Generic interface for logging info.
    `void` | `log(java.lang.String arg)` Generic interface for logging debug info.

- - ### Method Detail

    - #### log

          void log(java.lang.String arg)

      Generic interface for logging debug info.
      Parameters:
        `arg` - the string to log.

    - #### info

          void info(java.lang.String arg)

      Generic interface for logging info.
      Parameters:
        `arg` - the string to log.

    - #### error

          void error(java.lang.String arg)

      Generic interface for logging error.
      Parameters:
        `arg` - the string to log.